## EXISTS-Prädikat (exists_predicate)

Das EXISTS-Prädikat (exists_predicate) ist ein Prädikat, das prüft, ob eine Ergebnistabelle (siehe Ergebnistabellenname) mindestens eine Zeile enthält.

### Syntax

<exists_predicate> ::= EXISTS <subquery>

### Beispiele

SQL-Tutorial, Subquery: Innere Abfragen

### Erläuterung

Der Wahrheitsgehalt eines EXISTS-Prädikats ist entweder wahr oder falsch.

Durch die Subquery wird eine Ergebnistabelle erzeugt. Wenn diese Ergebnistabelle wenigstens eine Zeile enthält, ist EXISTS <subquery> wahr.